
Components:

- Identifier: Rider
  Text: The one who rides the pony

  Control Actions:
  - Identifier: Ride
    Text: To ride the pony
    Target: Pony

    Unsafe Control Actions:
    - Identifier: WithoutSaddle
      Text: Riding your pony without properly saddling the pony
      Reason: Not Providing
      Hazards: [ Nausia ]

  Controller Constraints:
  - Identifier: EnsureSaddledPonies
    Text: We must ensure that ponies be saddled before riding
    Unsafe Control Actions: [ WithoutSaddle ]
